package com.kingtom.shengtai.app.srm.service;

import java.util.List;

import com.kingtom.kirin.core.common.base.service.IBaseService;
import com.kingtom.shengtai.app.srm.model.SrmCooperate;
import com.kingtom.shengtai.app.srm.model.SrmCooperateDO;
import com.mybatisflex.core.paginate.Page;

/**
 * 供应商合作记录表 服务层。
 *
 * @author wany
 * @since 2023-12-21
 */
public interface ISrmCooperateService extends IBaseService<SrmCooperate>{

    SrmCooperateDO create(SrmCooperate entity);

    void deleteById(String id);

    void deleteByIds(List<String> ids);

    SrmCooperateDO update(SrmCooperate entity);

    SrmCooperateDO findById(String id);

    Page<SrmCooperateDO> page(String search, String supplierId, Integer pageNum, Integer pageSize);

}
